Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065641 - Review Request: libhttpserver - Library embedding RESTful HTTP server functionality
Summary: Review Request: libhttpserver - Library embedding RESTful HTTP server functio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-15 10:38 UTC by Šimon Lukašík
Modified: 2019-01-09 12:54 UTC (History)
5 users (show)

Fixed In Version: libhttpserver-0.7.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-21 02:29:49 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Šimon Lukašík 2014-02-15 10:38:56 UTC
Spec URL:
  http://isimluk.fedorapeople.org/libhttpserver/0.7.0-1/libhttpserver.spec
SRPM URL:
  http://isimluk.fedorapeople.org/libhttpserver/0.7.0-1/libhttpserver-0.7.0-1.src.rpm
Description: 
  libhttpserver is a small C++ library for embedding RESTful HTTP server
  functionality into applications.
Fedora Account System Username:
  isimluk

Comment 1 Leon Weber 2014-02-16 11:50:40 UTC
This package doesn’t build in my environment, failing to find autoreconf. I think you need to add autoconf, automake and libtool to the BuildRequires.

Also, there’s a Vendor tag, which, according to the guidelines, should not be used. There’s also no %{dist} tag in the Release tag. This one isn’t mandatory, just mentioning in case that’s not on purpose.

Comment 2 Šimon Lukašík 2014-02-17 08:55:17 UTC
I agree with deficiencies. I have uploaded new package:

  * Mon Feb 17 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-2
  - added autotools build requires
  - removed the vendor tag
  - added the dist tag to the release

http://isimluk.fedorapeople.org/libhttpserver/0.7.0-2/libhttpserver.spec
http://isimluk.fedorapeople.org/libhttpserver/0.7.0-2/libhttpserver-0.7.0-2.fc20.src.rpm

Thanks!

Comment 3 Christopher Meng 2014-02-24 03:23:05 UTC
1. SPEC first line is empty, please remove if you don't have any reason.

2. 
Name:           libhttpserver
.....
[cut]
.....

BuildRequires:  libmicrohttpd >= 0.9.7
BuildRequires:  autoconf, automake, libtool
Requires:       libmicrohttpd >= 0.9.7

-----> Here come the issues:

i. BuildRequires:  libmicrohttpd >= 0.9.7

Please BuildRequires:  libmicrohttpd-devel

ii. Please remove explicit requires as RPM dep resolver will add it automatically:

Requires:       libmicrohttpd >= 0.9.7

iii. You can remove that version constraint as even EPEL5 ships 0.9.22 at least.

3.
%package        devel
Summary:        Development files for %{name}
BuildRequires:  libmicrohttpd >= 0.9.7
BuildRequires:  libmicrohttpd-devel >= 0.9.7
Group:          Development/Libraries
Requires:       libmicrohttpd >= 0.9.7
Requires:       libmicrohttpd-devel >= 0.9.7
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

-----> Here come the issues:

i. BuildRequires:  libmicrohttpd >= 0.9.7
BuildRequires:  libmicrohttpd-devel >= 0.9.7

You've already done that in main package(see the #2 issue set I pointed out), please remove duplicated fields.

ii. Requires:       libmicrohttpd-devel >= 0.9.7

devel package should requires devel packages also, and should be:

Requires:       libmicrohttpd-devel%{?_isa}

iii. Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Drop them.

4. autoreconf -i -s

Please move above to %build section, and use:

autoreconf -fiv to show verbose outputs.

5. mkdir build
cd build
../configure --prefix=/usr --libdir=%{_libdir}
make

i. Please use %configure macro.

ii. Why don't you configure directly but cd in build/?

iii. Parallel make support:

https://fedoraproject.org/wiki/Packaging:Guidelines#Parallel_make

6. Drop this in %install forever: rm -rf $RPM_BUILD_ROOT

7. find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

find $RPM_BUILD_ROOT -name '*.*a' -delete -print

8. Drop %clean section forever.

9. Drop %defattr(-,root,root) forever.

10. Back to #7, what I want to tell you is that please don't ship static library:

%{_libdir}/*.a <--- Remove this line in %files.

Quoted from https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries:

"In general, packagers are strongly encouraged not to ship static libs unless a compelling reason exists."

Comment 4 Šimon Lukašík 2014-02-24 12:46:20 UTC
> ii. Why don't you configure directly but cd in build/?

Because the configure.ac includes an assertion which disallows inplace
builds.

   if test "`cd $srcdir; /bin/pwd`" = "`/bin/pwd`"; then
       AC_MSG_ERROR("you must configure in a separate build directory")
   fi

I can either remove that assertion by patch or build outside of source
tree. I felt like building outside was a better idea.

Anyway, thanks for feedback. I have uploaded new package:

  * Mon Feb 24 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-3
  - removed leading new line character
  - added libmicrohttpd-devel to BuildRequires of base package
  - removed libmicrohttpd from BuildRequires
  - added arch specification to the Requires of libmicrohttpd-devel
  - moved autoreconf to the build section
  - use configure macro
  - symlink configure script to allow build out of the source tree
  - introduced parallel build
  - removed static libraries from installation target
  - removed clean section
  - removed defattr specification

http://isimluk.fedorapeople.org/libhttpserver/0.7.0-3/libhttpserver.spec
http://isimluk.fedorapeople.org/libhttpserver/0.7.0-3/libhttpserver-0.7.0-3.fc20.src.rpm

Comment 5 Christopher Meng 2014-03-03 07:40:54 UTC
Uh...

1. find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.*a' -delete -print

Duplicate, right?

Just

find $RPM_BUILD_ROOT -name '*.*a' -delete -print

Will cover all.

2. %configure --srcdir=.. --prefix=/usr --libdir=%{_libdir}

-->

%configure --srcdir=..

The rest are handled by macro automatically, see rpm -E %configure.

3. In main package,

Drop:

Requires:       libmicrohttpd >= 0.9.7

Because elfutils will help pull the proper dependencies.

4. In -devel subpackage,

Drop:

BuildRequires:  libmicrohttpd-devel >= 0.9.7
Requires:       libmicrohttpd >= 0.9.7

Comment 6 Šimon Lukašík 2014-03-12 15:41:16 UTC
Thanks for your patience!

  * Wed Mar 12 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-4
  - removed duplicate find command
  - removed redundant configure options
  - removed explicit requires on libmicrohttpd

http://isimluk.fedorapeople.org/libhttpserver/0.7.0-4/libhttpserver.spec
http://isimluk.fedorapeople.org/libhttpserver/0.7.0-4/libhttpserver-0.7.0-4.fc20.src.rpm

Comment 7 Christopher Meng 2014-03-13 04:56:52 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "GPL (v3 or later)", "Unknown or generated". 5
     files have unknown license. Detailed output of licensecheck:

GPL (v3 or later)
-----------------
libhttpserver-0.7.0/src/gettext.h

LGPL (v2.1 or later)
--------------------
libhttpserver-0.7.0/src/http_endpoint.cpp
libhttpserver-0.7.0/src/http_request.cpp
libhttpserver-0.7.0/src/http_resource.cpp
libhttpserver-0.7.0/src/http_response.cpp
libhttpserver-0.7.0/src/http_utils.cpp
libhttpserver-0.7.0/src/httpserver/binders.hpp
libhttpserver-0.7.0/src/httpserver/create_webserver.hpp
libhttpserver-0.7.0/src/httpserver/details/cache_entry.hpp
libhttpserver-0.7.0/src/httpserver/details/event_tuple.hpp
libhttpserver-0.7.0/src/httpserver/details/http_endpoint.hpp
libhttpserver-0.7.0/src/httpserver/details/http_resource_mirror.hpp
libhttpserver-0.7.0/src/httpserver/details/http_response_ptr.hpp
libhttpserver-0.7.0/src/httpserver/details/modded_request.hpp
libhttpserver-0.7.0/src/httpserver/event_supplier.hpp
libhttpserver-0.7.0/src/httpserver/http_request.hpp
libhttpserver-0.7.0/src/httpserver/http_resource.hpp
libhttpserver-0.7.0/src/httpserver/http_response.hpp
libhttpserver-0.7.0/src/httpserver/http_utils.hpp
libhttpserver-0.7.0/src/httpserver/string_utilities.hpp
libhttpserver-0.7.0/src/httpserver/webserver.hpp
libhttpserver-0.7.0/src/string_utilities.cpp
libhttpserver-0.7.0/src/webserver.cpp
libhttpserver-0.7.0/test/littletest.hpp

Unknown or generated
--------------------
libhttpserver-0.7.0/examples/Test.cpp
libhttpserver-0.7.0/examples/Test.hpp
libhttpserver-0.7.0/examples/hello_world.cpp
libhttpserver-0.7.0/src/httpserver.hpp
libhttpserver-0.7.0/test/basic.cpp

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Dist tag is present (not strictly required in GL).
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: libhttpserver-0.7.0-4.fc21.i686.rpm
          libhttpserver-devel-0.7.0-4.fc21.i686.rpm
          libhttpserver-0.7.0-4.fc21.src.rpm
libhttpserver.i686: W: no-documentation
libhttpserver-devel.i686: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libhttpserver libhttpserver-devel
libhttpserver.i686: W: unused-direct-shlib-dependency /usr/lib/libhttpserver.so.0.7.0 /lib/libm.so.6
libhttpserver.i686: W: no-documentation
libhttpserver-devel.i686: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
libhttpserver (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libmicrohttpd.so.10
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

libhttpserver-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libhttpserver(x86-32)
    libhttpserver.so.0
    libmicrohttpd-devel(x86-32)
    pkgconfig(libmicrohttpd)



Provides
--------
libhttpserver:
    libhttpserver
    libhttpserver(x86-32)
    libhttpserver.so.0

libhttpserver-devel:
    libhttpserver-devel
    libhttpserver-devel(x86-32)
    pkgconfig(libhttpserver)



Source checksums
----------------
https://github.com/etr/libhttpserver/archive/v0.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : 268f44734d0407c219fe127d135f68c0ed55498ad2cef7b80614158399ce4d9f
  CHECKSUM(SHA256) upstream package : 268f44734d0407c219fe127d135f68c0ed55498ad2cef7b80614158399ce4d9f


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: libhttpserver-0.7.0/configure.ac:34


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn libhttpserver-0.7.0-4.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-------------------------------
1. License should be LGPLv2+

2. Release:        4%{dist}

-->

Release:        4%{?dist}

3. Fix the rpmlint issue via:

https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

4. Is it possible for you to add a %check section to test this package?

5. https://fedorahosted.org/FedoraReview/wiki/AutoTools

Please tell upstream to change.

Comment 8 Šimon Lukašík 2014-04-05 10:22:52 UTC
I have uploaded new version:

    * Sat Apr 05 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.1-1
    - updated to the latest upstream
    - changed license from LGPLv2 to LGPLv2+
    - corrected release tag
    - added check section
    - libcurl-devel is dependency of the check section

http://isimluk.fedorapeople.org/libhttpserver/0.7.1-1/libhttpserver.spec
http://isimluk.fedorapeople.org/libhttpserver/0.7.1-1/libhttpserver-0.7.1-1.fc20.src.rpm

Thanks for reviewing!

Comment 9 Christopher Meng 2014-04-16 04:58:02 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "LGPL (v2.1 or later)", "GPL (v3 or
     later)". Detailed output of licensecheck:

GPL (v3 or later)
-----------------
src/gettext.h

LGPL (v2.1 or later)
--------------------
examples/Test.cpp
examples/Test.hpp
examples/hello_world.cpp
src/http_endpoint.cpp
src/http_request.cpp
src/http_resource.cpp
src/http_response.cpp
src/http_utils.cpp
src/httpserver.hpp
src/httpserver/binders.hpp
src/httpserver/create_webserver.hpp
src/httpserver/details/cache_entry.hpp
src/httpserver/details/event_tuple.hpp
src/httpserver/details/http_endpoint.hpp
src/httpserver/details/http_resource_mirror.hpp
src/httpserver/details/http_response_ptr.hpp
src/httpserver/details/modded_request.hpp
src/httpserver/event_supplier.hpp
src/httpserver/http_request.hpp
src/httpserver/http_resource.hpp
src/httpserver/http_response.hpp
src/httpserver/http_utils.hpp
src/httpserver/string_utilities.hpp
src/httpserver/webserver.hpp
src/string_utilities.cpp
src/webserver.cpp
test/basic.cpp
test/littletest.hpp

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Checking: libhttpserver-0.7.1-1.fc21.i686.rpm
          libhttpserver-devel-0.7.1-1.fc21.i686.rpm
          libhttpserver-0.7.1-1.fc21.src.rpm
libhttpserver.i686: W: no-documentation
libhttpserver-devel.i686: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libhttpserver libhttpserver-devel
libhttpserver.i686: W: no-documentation
libhttpserver-devel.i686: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
libhttpserver (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libmicrohttpd.so.10
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

libhttpserver-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libhttpserver(x86-32)
    libhttpserver.so.0
    libmicrohttpd-devel(x86-32)
    pkgconfig(libmicrohttpd)



Provides
--------
libhttpserver:
    libhttpserver
    libhttpserver(x86-32)
    libhttpserver.so.0

libhttpserver-devel:
    libhttpserver-devel
    libhttpserver-devel(x86-32)
    pkgconfig(libhttpserver)



Source checksums
----------------
https://github.com/etr/libhttpserver/archive/v0.7.1.tar.gz :
  CHECKSUM(SHA256) this package     : 3727591ee2c33d9f0c220498602b951f678ef6fc5bd6189b97967609b024e8f1
  CHECKSUM(SHA256) upstream package : 3727591ee2c33d9f0c220498602b951f678ef6fc5bd6189b97967609b024e8f1


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn libhttpserver-0.7.1-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-------------Summary--------------

1. %doc AUTHORS ChangeLog LICENSE README.md

2. Drop all group tags.

Others are fine.

Comment 10 Šimon Lukašík 2014-05-02 09:02:52 UTC
Thank You for the comment. I have made requested changes:

    * Fri May 02 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.1-2
    - removed group tags
    - added doc tag

http://isimluk.fedorapeople.org/libhttpserver/0.7.1-2/libhttpserver.spec
http://isimluk.fedorapeople.org/libhttpserver/0.7.1-2/libhttpserver-0.7.1-2.fc20.src.rpm

Please review!

Comment 11 Christopher Meng 2014-05-05 10:11:47 UTC
PACKAGE APPROVED.

Comment 12 Šimon Lukašík 2014-05-06 07:13:46 UTC
New Package SCM Request
=======================
Package Name: libhttpserver
Short Description: Library embedding RESTful HTTP server functionality
Owners: isimluk
Branches: f20 master
InitialCC:

Comment 13 Gwyn Ciesla 2014-05-06 11:52:49 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2014-05-06 16:54:38 UTC
libhttpserver-0.7.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libhttpserver-0.7.1-2.fc20

Comment 15 Fedora Update System 2014-05-08 10:18:33 UTC
libhttpserver-0.7.1-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 16 Fedora Update System 2014-05-21 02:29:49 UTC
libhttpserver-0.7.1-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.